## kpim6-libgravatar 25.08.0

=== debian/changelog ===
kpim6-libgravatar (4:25.08.0-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 01:43:54 +0000

kpim6-libgravatar (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:30:48 +0000

kpim6-libgravatar (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:52:33 +0000

kpim6-libgravatar (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:00:30 +0000

kpim6-libgravatar (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:43:01 +0000

kpim6-libgravatar (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:56:24 +0000

kpim6-libgravatar (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:24:30 +0000

kpim6-libgravatar (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:57:25 +0000

kpim6-libgravatar (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:48:16 +0000

kpim6-libgravatar (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:43:53 +0000

kpim6-libgravatar (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:59:35 +0000

kpim6-libgravatar (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:31:24 +0000

kpim6-libgravatar (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:03:00 +0000

kpim6-libgravatar (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:56:30 +0000

kpim6-libgravatar (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:35:33 +0000

kpim6-libgravatar (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:59:32 +0000

kpim6-libgravatar (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:42:36 +0000

kpim6-libgravatar (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:12:19 +0000

libkf5gravatar (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:32:27 +0000

libkf5gravatar (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:50:04 +0000

libkf5gravatar (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:17:12 +0000

libkf5gravatar (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:21:00 +0000

libkf5gravatar (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:18:17 +0000

libkf5gravatar (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:47:34 +0000

libkf5gravatar (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:23:53 +0000

libkf5gravatar (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:00:13 +0000

libkf5gravatar (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:08:03 +0000

libkf5gravatar (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:28:46 +0000

libkf5gravatar (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:44:44 +0000

libkf5gravatar (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:28:23 +0000

libkf5gravatar (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:18:33 +0000

libkf5gravatar (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:36:59 +0000

libkf5gravatar (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:32:58 +0000

libkf5gravatar (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:48:45 +0000

libkf5gravatar (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:05:16 +0000

libkf5gravatar (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:00:28 +0000

libkf5gravatar (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:42:35 +0000

libkf5gravatar (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:46 +0000

libkf5gravatar (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:56 +0000

libkf5gravatar (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:07:34 +0000

libkf5gravatar (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:08:29 +0000

libkf5gravatar (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:08 +0000

libkf5gravatar (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:05 +0000

libkf5gravatar (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:46 +0000



=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libgravatar-([\d.]+).tar.xz

## kpim6-libgravatar 25.08.1

=== debian/changelog ===
kpim6-libgravatar (4:25.08.1-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 14:01:00 +0000

kpim6-libgravatar (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:02:19 +0000

## kpim6-libgravatar 25.08.1+p24.04+vstable+git20250910.0701

=== debian/changelog ===
kpim6-libgravatar (4:25.08.1+p24.04+vstable+git20250910.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 07:01:19 +0000

## kpim6-libgravatar 25.08.1+p24.04+vstable+git20250914.2134

=== debian/changelog ===
kpim6-libgravatar (4:25.08.1+p24.04+vstable+git20250914.2134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 21:34:17 +0000

## kpim6-libgravatar 25.08.2

=== debian/changelog ===
kpim6-libgravatar (4:25.08.2-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 11:02:06 +0000

kpim6-libgravatar (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:45:57 +0000

## kpim6-libgravatar 25.08.2+p24.04+vstable+git20251015.1946

=== debian/changelog ===
kpim6-libgravatar (4:25.08.2+p24.04+vstable+git20251015.1946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:46:18 +0000

## kpim6-libgravatar 25.08.2+p24.04+vstable+git20251019.0803

=== debian/changelog ===
kpim6-libgravatar (4:25.08.2+p24.04+vstable+git20251019.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:03:38 +0000

## kpim6-libgravatar 25.08.2+p24.04+vunstable+git20251015.1945

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

project(gravatar VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
    autotests/*.h
    autotests/*.cpp
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
    autotests/*.h
    autotests/*.cpp
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(LIBGRAVATAR_LIB_VERSION ${PIM_VERSION})
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX GRAVATAR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/gravatar_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6GravatarConfigVersion.cmake"
    SOVERSION 6
)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

add_subdirectory(src)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Gravatar")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Gravatar_QCH
        FILE KPim6GravatarQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6GravatarQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGravatarConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GravatarConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6GravatarConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6GravatarConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6GravatarTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6GravatarTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/src/gravatar_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Gravatar
    COMPONENT Devel
)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpim6-libgravatar (4:25.08.2+p24.04+vunstable+git20251015.1945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:45:49 +0000

=== debian/control ===
Source: kpim6-libgravatar
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kpim6-kimap-dev,
               kpim6-pimcommon-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libgravatar.git
Vcs-Browser: https://invent.kde.org/neon/kde/libgravatar
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-libgravatar
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5gravatar-data,
          libkf5gravatar5,
          libkf6gravatar-data,
          libkf6gravatar5,
          libkpim6gravatar-data,
          libkpim6gravatar6
Description: KDE PIM gravatar library
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: kpim6-libgravatar-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kconfig-dev,
         kpim6-libgravatar (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5gravatar-dev, libkf6gravatar-dev, libkpim6gravatar-dev
Description: KDE PIM gravatar library, devel files
 This internal library is a brigde for using the gravatar service from KDE PIM
 applications.
 .
 This package contains the development files needed to build against the
 library.
 .
 This package is part of the KDE PIM module.

Package: libkpim6gravatar6
Architecture: all
Depends: kpim6-libgravatar, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6gravatar-data
Architecture: all
Depends: kpim6-libgravatar, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6gravatar-dev
Architecture: all
Depends: kpim6-libgravatar-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6gravatar6
Architecture: all
Depends: kpim6-libgravatar, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6gravatar-data
Architecture: all
Depends: kpim6-libgravatar, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6gravatar-dev
Architecture: all
Depends: kpim6-libgravatar-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5gravatar5
Architecture: all
Depends: kpim6-libgravatar, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5gravatar-data
Architecture: all
Depends: kpim6-libgravatar, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5gravatar-dev
Architecture: all
Depends: kpim6-libgravatar-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-libgravatar 25.08.2+p24.04+vunstable+git20251020.0639

=== debian/changelog ===
kpim6-libgravatar (4:25.08.2+p24.04+vunstable+git20251020.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:39:51 +0000

## kpim6-libgravatar 25.08.2+p24.04+vunstable+git20251022.0145

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(gravatar VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kpim6-libgravatar (4:25.08.2+p24.04+vunstable+git20251022.0145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 01:45:56 +0000

## kpim6-libgravatar 25.08.3

=== debian/changelog ===
kpim6-libgravatar (4:25.08.3-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:50:31 +0000

kpim6-libgravatar (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:28 +1000

## kpim6-libgravatar 25.08.3+p24.04+vunstable+git20251204.0223

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(gravatar VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
@@ -90,7 +90,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
kpim6-libgravatar (4:25.08.3+p24.04+vunstable+git20251204.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:23:02 +0000

## kpim6-libgravatar 25.08.3+p24.04+vunstable+git20251206.0916

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(gravatar VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kpim6-libgravatar (4:25.08.3+p24.04+vunstable+git20251206.0916-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:16:41 +0000

## kpim6-libgravatar 25.12.0

=== debian/changelog ===
kpim6-libgravatar (4:25.12.0-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 18:39:19 +0000

kpim6-libgravatar (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:58 +1000

## kpim6-libgravatar 25.12.0+p24.04+vstable+git20251222.0626

=== debian/changelog ===
kpim6-libgravatar (4:25.12.0+p24.04+vstable+git20251222.0626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 06:26:26 +0000

## kpim6-libgravatar 25.12.0+p24.04+vstable+git20251231.0419

=== debian/changelog ===
kpim6-libgravatar (4:25.12.0+p24.04+vstable+git20251231.0419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:19:52 +0000

## kpim6-libgravatar 25.12.0+p24.04+vstable+git20260105.0926

=== debian/changelog ===
kpim6-libgravatar (4:25.12.0+p24.04+vstable+git20260105.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:26:56 +0000

## kpim6-libgravatar 25.12.1

=== debian/changelog ===
kpim6-libgravatar (4:25.12.1-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:43:07 +0000

kpim6-libgravatar (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:31:58 +1000

## kpim6-libgravatar 25.12.1+p24.04+vstable+git20260130.1128

=== debian/changelog ===
kpim6-libgravatar (4:25.12.1+p24.04+vstable+git20260130.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:28:48 +0000
